package com.wzj.soopin.order.emum;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 订单状态：0->待付款；1->待核销；2->已支付；3->已关闭；4->退款中；5->已退款 6->已取消  9->已分账；10->无效订单 精确匹配
 */
@Getter
@AllArgsConstructor
public enum OrderStatusEnum {

    UNPAID(0, "待支付"),
    VERIFY(1, "待核销"),
    PAID(2, "已支付"),
    CLOSED(3, "已关闭"),
    REFUNDED(4, "退款中"),
    REFUNDED_SUCCESS(5, "已退款"),
    CANCELLED(6, "已取消"),
    DIVIDED(9, "已分账"),
    INVALID(10, "无效订单");

    private final Integer value;

    private final String info;

}
